package com.steerinfo.dil.service;

import com.steerinfo.dil.model.TmstrainLoadingResult;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstrainLoadingResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-30 02:23
 * 类描述
 * 修订历史：
 * 日期：2021-08-30
 * 作者：generator
 * 参考：
 * 描述：TmstrainLoadingResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstrainLoadingResultService{
    //查询所有装车作业信息
    List<Map<String, Object>> getTmstrainWagonLoad(Map<String,Object> map);
    //新增车皮装车作业实绩
    int addTmstrainLoadingResult(TmstrainLoadingResult tmstrainLoadingResult);
    //获得发站地点名称
    List<Map<String, Object>> getSendStationName();
    //获得到站地点名称
    List<Map<String, Object>> getArrivalStationName();
    //获得批次ID
    List<Map<String, Object>> getBatchId();
    //获得装车车皮号
    List<Map<String, Object>> getWagonNo(Map<String, Object> map);
    //通过主键获得车皮装车信息
    List<Map<String, Object>> getTmstrainLoadingResultByResultId(BigDecimal resultId);
    //修改车皮装车作业实绩
    int updateTmstrainLoadingResult(TmstrainLoadingResult tmstrainLoadingResult);
    //通过主键删除车皮装车作业实绩
    int deleteTmstrainLoadingResultByResultId(BigDecimal resultId);
     //内转新增装车实绩
    int addTrainLoadResultForConverted(TmstrainLoadingResult tmstrainLoadingResult);
    //内转物流通过id查询装车作业
    List<Map<String,Object>> selectLoadByResultId(BigDecimal resultId);
    //内转查询装车实绩
    List<Map<String,Object>> selectLoadedForConverted(Map<String,Object> map);
}